Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network14.0.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
14.0.2.0
Broadcast address
14.0.3.255
First usable
14.0.2.1
Last usable
14.0.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 0E000200 · Integer 234881536 to 234882047
Reverse DNS zones
2.0.14.in-addr.arpa
3.0.14.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001110.00000000.00000010.0000000014.0.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network00001110.00000000.00000010.0000000014.0.2.0
Broadcast00001110.00000000.00000011.1111111114.0.3.255
Split into smaller subnets/32

14.0.2.0/23 makes 512 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
114.0.2.0/3214.0.2.0 to 14.0.2.0—1
214.0.2.1/3214.0.2.1 to 14.0.2.1—1
314.0.2.2/3214.0.2.2 to 14.0.2.2—1
414.0.2.3/3214.0.2.3 to 14.0.2.3—1
514.0.2.4/3214.0.2.4 to 14.0.2.4—1
614.0.2.5/3214.0.2.5 to 14.0.2.5—1
714.0.2.6/3214.0.2.6 to 14.0.2.6—1
814.0.2.7/3214.0.2.7 to 14.0.2.7—1
914.0.2.8/3214.0.2.8 to 14.0.2.8—1
1014.0.2.9/3214.0.2.9 to 14.0.2.9—1
1114.0.2.10/3214.0.2.10 to 14.0.2.10—1
1214.0.2.11/3214.0.2.11 to 14.0.2.11—1
1314.0.2.12/3214.0.2.12 to 14.0.2.12—1
1414.0.2.13/3214.0.2.13 to 14.0.2.13—1
1514.0.2.14/3214.0.2.14 to 14.0.2.14—1
1614.0.2.15/3214.0.2.15 to 14.0.2.15—1
1714.0.2.16/3214.0.2.16 to 14.0.2.16—1
1814.0.2.17/3214.0.2.17 to 14.0.2.17—1
1914.0.2.18/3214.0.2.18 to 14.0.2.18—1
2014.0.2.19/3214.0.2.19 to 14.0.2.19—1
2114.0.2.20/3214.0.2.20 to 14.0.2.20—1
2214.0.2.21/3214.0.2.21 to 14.0.2.21—1
2314.0.2.22/3214.0.2.22 to 14.0.2.22—1
2414.0.2.23/3214.0.2.23 to 14.0.2.23—1
2514.0.2.24/3214.0.2.24 to 14.0.2.24—1
2614.0.2.25/3214.0.2.25 to 14.0.2.25—1
2714.0.2.26/3214.0.2.26 to 14.0.2.26—1
2814.0.2.27/3214.0.2.27 to 14.0.2.27—1
2914.0.2.28/3214.0.2.28 to 14.0.2.28—1
3014.0.2.29/3214.0.2.29 to 14.0.2.29—1
3114.0.2.30/3214.0.2.30 to 14.0.2.30—1
3214.0.2.31/3214.0.2.31 to 14.0.2.31—1
3314.0.2.32/3214.0.2.32 to 14.0.2.32—1
3414.0.2.33/3214.0.2.33 to 14.0.2.33—1
3514.0.2.34/3214.0.2.34 to 14.0.2.34—1
3614.0.2.35/3214.0.2.35 to 14.0.2.35—1
3714.0.2.36/3214.0.2.36 to 14.0.2.36—1
3814.0.2.37/3214.0.2.37 to 14.0.2.37—1
3914.0.2.38/3214.0.2.38 to 14.0.2.38—1
4014.0.2.39/3214.0.2.39 to 14.0.2.39—1
4114.0.2.40/3214.0.2.40 to 14.0.2.40—1
4214.0.2.41/3214.0.2.41 to 14.0.2.41—1
4314.0.2.42/3214.0.2.42 to 14.0.2.42—1
4414.0.2.43/3214.0.2.43 to 14.0.2.43—1
4514.0.2.44/3214.0.2.44 to 14.0.2.44—1
4614.0.2.45/3214.0.2.45 to 14.0.2.45—1
4714.0.2.46/3214.0.2.46 to 14.0.2.46—1
4814.0.2.47/3214.0.2.47 to 14.0.2.47—1
4914.0.2.48/3214.0.2.48 to 14.0.2.48—1
5014.0.2.49/3214.0.2.49 to 14.0.2.49—1
5114.0.2.50/3214.0.2.50 to 14.0.2.50—1
5214.0.2.51/3214.0.2.51 to 14.0.2.51—1
5314.0.2.52/3214.0.2.52 to 14.0.2.52—1
5414.0.2.53/3214.0.2.53 to 14.0.2.53—1
5514.0.2.54/3214.0.2.54 to 14.0.2.54—1
5614.0.2.55/3214.0.2.55 to 14.0.2.55—1
5714.0.2.56/3214.0.2.56 to 14.0.2.56—1
5814.0.2.57/3214.0.2.57 to 14.0.2.57—1
5914.0.2.58/3214.0.2.58 to 14.0.2.58—1
6014.0.2.59/3214.0.2.59 to 14.0.2.59—1
6114.0.2.60/3214.0.2.60 to 14.0.2.60—1
6214.0.2.61/3214.0.2.61 to 14.0.2.61—1
6314.0.2.62/3214.0.2.62 to 14.0.2.62—1
6414.0.2.63/3214.0.2.63 to 14.0.2.63—1
6514.0.2.64/3214.0.2.64 to 14.0.2.64—1
6614.0.2.65/3214.0.2.65 to 14.0.2.65—1
6714.0.2.66/3214.0.2.66 to 14.0.2.66—1
6814.0.2.67/3214.0.2.67 to 14.0.2.67—1
6914.0.2.68/3214.0.2.68 to 14.0.2.68—1
7014.0.2.69/3214.0.2.69 to 14.0.2.69—1
7114.0.2.70/3214.0.2.70 to 14.0.2.70—1
7214.0.2.71/3214.0.2.71 to 14.0.2.71—1
7314.0.2.72/3214.0.2.72 to 14.0.2.72—1
7414.0.2.73/3214.0.2.73 to 14.0.2.73—1
7514.0.2.74/3214.0.2.74 to 14.0.2.74—1
7614.0.2.75/3214.0.2.75 to 14.0.2.75—1
7714.0.2.76/3214.0.2.76 to 14.0.2.76—1
7814.0.2.77/3214.0.2.77 to 14.0.2.77—1
7914.0.2.78/3214.0.2.78 to 14.0.2.78—1
8014.0.2.79/3214.0.2.79 to 14.0.2.79—1
8114.0.2.80/3214.0.2.80 to 14.0.2.80—1
8214.0.2.81/3214.0.2.81 to 14.0.2.81—1
8314.0.2.82/3214.0.2.82 to 14.0.2.82—1
8414.0.2.83/3214.0.2.83 to 14.0.2.83—1
8514.0.2.84/3214.0.2.84 to 14.0.2.84—1
8614.0.2.85/3214.0.2.85 to 14.0.2.85—1
8714.0.2.86/3214.0.2.86 to 14.0.2.86—1
8814.0.2.87/3214.0.2.87 to 14.0.2.87—1
8914.0.2.88/3214.0.2.88 to 14.0.2.88—1
9014.0.2.89/3214.0.2.89 to 14.0.2.89—1
9114.0.2.90/3214.0.2.90 to 14.0.2.90—1
9214.0.2.91/3214.0.2.91 to 14.0.2.91—1
9314.0.2.92/3214.0.2.92 to 14.0.2.92—1
9414.0.2.93/3214.0.2.93 to 14.0.2.93—1
9514.0.2.94/3214.0.2.94 to 14.0.2.94—1
9614.0.2.95/3214.0.2.95 to 14.0.2.95—1
9714.0.2.96/3214.0.2.96 to 14.0.2.96—1
9814.0.2.97/3214.0.2.97 to 14.0.2.97—1
9914.0.2.98/3214.0.2.98 to 14.0.2.98—1
10014.0.2.99/3214.0.2.99 to 14.0.2.99—1
10114.0.2.100/3214.0.2.100 to 14.0.2.100—1
10214.0.2.101/3214.0.2.101 to 14.0.2.101—1
10314.0.2.102/3214.0.2.102 to 14.0.2.102—1
10414.0.2.103/3214.0.2.103 to 14.0.2.103—1
10514.0.2.104/3214.0.2.104 to 14.0.2.104—1
10614.0.2.105/3214.0.2.105 to 14.0.2.105—1
10714.0.2.106/3214.0.2.106 to 14.0.2.106—1
10814.0.2.107/3214.0.2.107 to 14.0.2.107—1
10914.0.2.108/3214.0.2.108 to 14.0.2.108—1
11014.0.2.109/3214.0.2.109 to 14.0.2.109—1
11114.0.2.110/3214.0.2.110 to 14.0.2.110—1
11214.0.2.111/3214.0.2.111 to 14.0.2.111—1
11314.0.2.112/3214.0.2.112 to 14.0.2.112—1
11414.0.2.113/3214.0.2.113 to 14.0.2.113—1
11514.0.2.114/3214.0.2.114 to 14.0.2.114—1
11614.0.2.115/3214.0.2.115 to 14.0.2.115—1
11714.0.2.116/3214.0.2.116 to 14.0.2.116—1
11814.0.2.117/3214.0.2.117 to 14.0.2.117—1
11914.0.2.118/3214.0.2.118 to 14.0.2.118—1
12014.0.2.119/3214.0.2.119 to 14.0.2.119—1
12114.0.2.120/3214.0.2.120 to 14.0.2.120—1
12214.0.2.121/3214.0.2.121 to 14.0.2.121—1
12314.0.2.122/3214.0.2.122 to 14.0.2.122—1
12414.0.2.123/3214.0.2.123 to 14.0.2.123—1
12514.0.2.124/3214.0.2.124 to 14.0.2.124—1
12614.0.2.125/3214.0.2.125 to 14.0.2.125—1
12714.0.2.126/3214.0.2.126 to 14.0.2.126—1
12814.0.2.127/3214.0.2.127 to 14.0.2.127—1
12914.0.2.128/3214.0.2.128 to 14.0.2.128—1
13014.0.2.129/3214.0.2.129 to 14.0.2.129—1
13114.0.2.130/3214.0.2.130 to 14.0.2.130—1
13214.0.2.131/3214.0.2.131 to 14.0.2.131—1
13314.0.2.132/3214.0.2.132 to 14.0.2.132—1
13414.0.2.133/3214.0.2.133 to 14.0.2.133—1
13514.0.2.134/3214.0.2.134 to 14.0.2.134—1
13614.0.2.135/3214.0.2.135 to 14.0.2.135—1
13714.0.2.136/3214.0.2.136 to 14.0.2.136—1
13814.0.2.137/3214.0.2.137 to 14.0.2.137—1
13914.0.2.138/3214.0.2.138 to 14.0.2.138—1
14014.0.2.139/3214.0.2.139 to 14.0.2.139—1
14114.0.2.140/3214.0.2.140 to 14.0.2.140—1
14214.0.2.141/3214.0.2.141 to 14.0.2.141—1
14314.0.2.142/3214.0.2.142 to 14.0.2.142—1
14414.0.2.143/3214.0.2.143 to 14.0.2.143—1
14514.0.2.144/3214.0.2.144 to 14.0.2.144—1
14614.0.2.145/3214.0.2.145 to 14.0.2.145—1
14714.0.2.146/3214.0.2.146 to 14.0.2.146—1
14814.0.2.147/3214.0.2.147 to 14.0.2.147—1
14914.0.2.148/3214.0.2.148 to 14.0.2.148—1
15014.0.2.149/3214.0.2.149 to 14.0.2.149—1
15114.0.2.150/3214.0.2.150 to 14.0.2.150—1
15214.0.2.151/3214.0.2.151 to 14.0.2.151—1
15314.0.2.152/3214.0.2.152 to 14.0.2.152—1
15414.0.2.153/3214.0.2.153 to 14.0.2.153—1
15514.0.2.154/3214.0.2.154 to 14.0.2.154—1
15614.0.2.155/3214.0.2.155 to 14.0.2.155—1
15714.0.2.156/3214.0.2.156 to 14.0.2.156—1
15814.0.2.157/3214.0.2.157 to 14.0.2.157—1
15914.0.2.158/3214.0.2.158 to 14.0.2.158—1
16014.0.2.159/3214.0.2.159 to 14.0.2.159—1
16114.0.2.160/3214.0.2.160 to 14.0.2.160—1
16214.0.2.161/3214.0.2.161 to 14.0.2.161—1
16314.0.2.162/3214.0.2.162 to 14.0.2.162—1
16414.0.2.163/3214.0.2.163 to 14.0.2.163—1
16514.0.2.164/3214.0.2.164 to 14.0.2.164—1
16614.0.2.165/3214.0.2.165 to 14.0.2.165—1
16714.0.2.166/3214.0.2.166 to 14.0.2.166—1
16814.0.2.167/3214.0.2.167 to 14.0.2.167—1
16914.0.2.168/3214.0.2.168 to 14.0.2.168—1
17014.0.2.169/3214.0.2.169 to 14.0.2.169—1
17114.0.2.170/3214.0.2.170 to 14.0.2.170—1
17214.0.2.171/3214.0.2.171 to 14.0.2.171—1
17314.0.2.172/3214.0.2.172 to 14.0.2.172—1
17414.0.2.173/3214.0.2.173 to 14.0.2.173—1
17514.0.2.174/3214.0.2.174 to 14.0.2.174—1
17614.0.2.175/3214.0.2.175 to 14.0.2.175—1
17714.0.2.176/3214.0.2.176 to 14.0.2.176—1
17814.0.2.177/3214.0.2.177 to 14.0.2.177—1
17914.0.2.178/3214.0.2.178 to 14.0.2.178—1
18014.0.2.179/3214.0.2.179 to 14.0.2.179—1
18114.0.2.180/3214.0.2.180 to 14.0.2.180—1
18214.0.2.181/3214.0.2.181 to 14.0.2.181—1
18314.0.2.182/3214.0.2.182 to 14.0.2.182—1
18414.0.2.183/3214.0.2.183 to 14.0.2.183—1
18514.0.2.184/3214.0.2.184 to 14.0.2.184—1
18614.0.2.185/3214.0.2.185 to 14.0.2.185—1
18714.0.2.186/3214.0.2.186 to 14.0.2.186—1
18814.0.2.187/3214.0.2.187 to 14.0.2.187—1
18914.0.2.188/3214.0.2.188 to 14.0.2.188—1
19014.0.2.189/3214.0.2.189 to 14.0.2.189—1
19114.0.2.190/3214.0.2.190 to 14.0.2.190—1
19214.0.2.191/3214.0.2.191 to 14.0.2.191—1
19314.0.2.192/3214.0.2.192 to 14.0.2.192—1
19414.0.2.193/3214.0.2.193 to 14.0.2.193—1
19514.0.2.194/3214.0.2.194 to 14.0.2.194—1
19614.0.2.195/3214.0.2.195 to 14.0.2.195—1
19714.0.2.196/3214.0.2.196 to 14.0.2.196—1
19814.0.2.197/3214.0.2.197 to 14.0.2.197—1
19914.0.2.198/3214.0.2.198 to 14.0.2.198—1
20014.0.2.199/3214.0.2.199 to 14.0.2.199—1
20114.0.2.200/3214.0.2.200 to 14.0.2.200—1
20214.0.2.201/3214.0.2.201 to 14.0.2.201—1
20314.0.2.202/3214.0.2.202 to 14.0.2.202—1
20414.0.2.203/3214.0.2.203 to 14.0.2.203—1
20514.0.2.204/3214.0.2.204 to 14.0.2.204—1
20614.0.2.205/3214.0.2.205 to 14.0.2.205—1
20714.0.2.206/3214.0.2.206 to 14.0.2.206—1
20814.0.2.207/3214.0.2.207 to 14.0.2.207—1
20914.0.2.208/3214.0.2.208 to 14.0.2.208—1
21014.0.2.209/3214.0.2.209 to 14.0.2.209—1
21114.0.2.210/3214.0.2.210 to 14.0.2.210—1
21214.0.2.211/3214.0.2.211 to 14.0.2.211—1
21314.0.2.212/3214.0.2.212 to 14.0.2.212—1
21414.0.2.213/3214.0.2.213 to 14.0.2.213—1
21514.0.2.214/3214.0.2.214 to 14.0.2.214—1
21614.0.2.215/3214.0.2.215 to 14.0.2.215—1
21714.0.2.216/3214.0.2.216 to 14.0.2.216—1
21814.0.2.217/3214.0.2.217 to 14.0.2.217—1
21914.0.2.218/3214.0.2.218 to 14.0.2.218—1
22014.0.2.219/3214.0.2.219 to 14.0.2.219—1
22114.0.2.220/3214.0.2.220 to 14.0.2.220—1
22214.0.2.221/3214.0.2.221 to 14.0.2.221—1
22314.0.2.222/3214.0.2.222 to 14.0.2.222—1
22414.0.2.223/3214.0.2.223 to 14.0.2.223—1
22514.0.2.224/3214.0.2.224 to 14.0.2.224—1
22614.0.2.225/3214.0.2.225 to 14.0.2.225—1
22714.0.2.226/3214.0.2.226 to 14.0.2.226—1
22814.0.2.227/3214.0.2.227 to 14.0.2.227—1
22914.0.2.228/3214.0.2.228 to 14.0.2.228—1
23014.0.2.229/3214.0.2.229 to 14.0.2.229—1
23114.0.2.230/3214.0.2.230 to 14.0.2.230—1
23214.0.2.231/3214.0.2.231 to 14.0.2.231—1
23314.0.2.232/3214.0.2.232 to 14.0.2.232—1
23414.0.2.233/3214.0.2.233 to 14.0.2.233—1
23514.0.2.234/3214.0.2.234 to 14.0.2.234—1
23614.0.2.235/3214.0.2.235 to 14.0.2.235—1
23714.0.2.236/3214.0.2.236 to 14.0.2.236—1
23814.0.2.237/3214.0.2.237 to 14.0.2.237—1
23914.0.2.238/3214.0.2.238 to 14.0.2.238—1
24014.0.2.239/3214.0.2.239 to 14.0.2.239—1
24114.0.2.240/3214.0.2.240 to 14.0.2.240—1
24214.0.2.241/3214.0.2.241 to 14.0.2.241—1
24314.0.2.242/3214.0.2.242 to 14.0.2.242—1
24414.0.2.243/3214.0.2.243 to 14.0.2.243—1
24514.0.2.244/3214.0.2.244 to 14.0.2.244—1
24614.0.2.245/3214.0.2.245 to 14.0.2.245—1
24714.0.2.246/3214.0.2.246 to 14.0.2.246—1
24814.0.2.247/3214.0.2.247 to 14.0.2.247—1
24914.0.2.248/3214.0.2.248 to 14.0.2.248—1
25014.0.2.249/3214.0.2.249 to 14.0.2.249—1
25114.0.2.250/3214.0.2.250 to 14.0.2.250—1
25214.0.2.251/3214.0.2.251 to 14.0.2.251—1
25314.0.2.252/3214.0.2.252 to 14.0.2.252—1
25414.0.2.253/3214.0.2.253 to 14.0.2.253—1
25514.0.2.254/3214.0.2.254 to 14.0.2.254—1
25614.0.2.255/3214.0.2.255 to 14.0.2.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses